summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThilo Bangert <bangert@gentoo.org>2006-10-19 07:46:53 +0000
committerThilo Bangert <bangert@gentoo.org>2006-10-19 07:46:53 +0000
commit8b9a05f7cb3b5866b057d6ca90f2f0e8559a6e9e (patch)
tree7f40fb61ea70fba840b3824e4f2f7b2e12e12f85 /www-servers/varnish/files
parentUpdate SRC_URI. (diff)
downloadgentoo-2-8b9a05f7cb3b5866b057d6ca90f2f0e8559a6e9e.tar.gz
gentoo-2-8b9a05f7cb3b5866b057d6ca90f2f0e8559a6e9e.tar.bz2
gentoo-2-8b9a05f7cb3b5866b057d6ca90f2f0e8559a6e9e.zip
varnish - Varnish is an HTTP accelerator. aka a better squid
(Portage version: 2.1.1)
Diffstat (limited to 'www-servers/varnish/files')
-rw-r--r--www-servers/varnish/files/digest-varnish-1.0.13
-rw-r--r--www-servers/varnish/files/varnishd.confd6
-rwxr-xr-xwww-servers/varnish/files/varnishd.initd20
3 files changed, 29 insertions, 0 deletions
diff --git a/www-servers/varnish/files/digest-varnish-1.0.1 b/www-servers/varnish/files/digest-varnish-1.0.1
new file mode 100644
index 000000000000..774988e02196
--- /dev/null
+++ b/www-servers/varnish/files/digest-varnish-1.0.1
@@ -0,0 +1,3 @@
+MD5 59fa7d4277a78c5f6da49a679d7cbfd3 varnish-1.0.1.tar.gz 503442
+RMD160 6c1e174b3e63b3e84540211553385528f3d48675 varnish-1.0.1.tar.gz 503442
+SHA256 e6484aa8b830e2f044f851bd2b1ef3d180c48195a0f13b85b701f2a38041d391 varnish-1.0.1.tar.gz 503442
diff --git a/www-servers/varnish/files/varnishd.confd b/www-servers/varnish/files/varnishd.confd
new file mode 100644
index 000000000000..e71aad9e4807
--- /dev/null
+++ b/www-servers/varnish/files/varnishd.confd
@@ -0,0 +1,6 @@
+# /etc/conf.d/varnishd
+
+# options passed to varnish on startup
+# please see the varnishd man page for more options
+VARNISHD_OPTS="-a 127.0.0.1:8080 -b 127.0.0.1:80"
+
diff --git a/www-servers/varnish/files/varnishd.initd b/www-servers/varnish/files/varnishd.initd
new file mode 100755
index 000000000000..5316b5b9b50a
--- /dev/null
+++ b/www-servers/varnish/files/varnishd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/varnish/files/varnishd.initd,v 1.1 2006/10/19 07:46:53 bangert Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting varnish"
+ start-stop-daemon --quiet --start --pidfile /var/run/varnishd.pid --exec /usr/bin/varnishd -- ${VARNISHD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping varnish"
+ start-stop-daemon --quiet --stop --pidfile /var/run/varnishd.pid
+ eend $?
+}